### Function

# Clutter ScriptConnectFunc

since: 13

#### Declaration

    void
    (* ClutterScriptConnectFunc) (
      ClutterScript* script,
      GObject* object,
      const gchar* signal_name,
      const gchar* handler_name,
      GObject* connect_object,
      GConnectFlags flags,
      gpointer user_data
    )

#### Description [src]

This is the signature of a function used to connect signals. It is used by the `clutter_script_connect_signals_full()` function. It is mainly intended for interpreted language bindings, but could be useful where the programmer wants more control over the signal connection process.

Available since: 13

#### Parameters

`script`

  Type: `ClutterScript`

  A `ClutterScript`.

  The data is owned by the caller of the function.

`object`

  Type: `GObject`

  The object to connect.

  The data is owned by the caller of the function.

`signal_name`

  Type: `const gchar*`

  The name of the signal.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`handler_name`

  Type: `const gchar*`

  The name of the signal handler.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`connect_object`

  Type: `GObject`

  The object to connect the signal to, or `NULL`.

  The data is owned by the caller of the function.

`flags`

  Type: `GConnectFlags`

  Signal connection flags.

`user_data`

  Type: `gpointer`

  User data to pass to the signal handler.

  The argument can be `NULL`.
  The data is owned by the caller of the function.